
ctools - Action #3059

cssens sensitivity calculation for a source with file function spectrum 

10/29/2019 07:28 PM - Kherlakian M.

Status: Rejected Start date: 10/29/2019

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 1.7.0   

Description

Hello! I get the error below when I try to calculate CTA sensitivity to DM structures via cssens. The spectrum of the source is defined

by a file function (energy_flux.txt).

Is there another tool that does this type of calculation? Or I am doing something wrong?

Best.

variable definition: -------------------------------------------------------------------------------------------------------------------------------------

Lower energy limit (TeV) [0.03163]

Upper energy limit (TeV) [125.8925]

Calibration database [prod2]

Instrument response function [data/cta/prod2/bcf/North_5h/irf_file.fits.gz]

Effective exposure time (s) [180000.0]

Radius of ROI (deg) [5.0]

Input model definition XML file [subh2.xml] teste.xml

Source name [subh] subh

 

error: ---------------------------------------------------------------------------------------------------------------------------------------------------

File "/usr/local/gamma/bin/cssens", line 735, in <module>

app.execute()

File "/usr/local/gamma/lib/python3.6/site-packages/ctools/tools.py", line 1542, in _execute

self.run()

File "/usr/local/gamma/bin/cssens", line 682, in run

ra=self._ra, dec=self._dec)

File "/usr/local/gamma/lib/python3.6/site-packages/cscripts/modutils.py", line 69, in test_source

raise RuntimeError(msg)

RuntimeError: Model "subh" has no parameter "Prefactor". Only spectral models with a "Prefactor" parameter are supported.

Related issues:

Related to ctools - Feature # 1889: cssens sensitivity calculation for model ... Closed

History

#1 - 10/30/2019 01:38 PM - Knödlseder Jürgen

- Related to Feature #1889: cssens sensitivity calculation for model with spectrum from file (GModelSpectralFunc) added

#2 - 10/30/2019 01:40 PM - Knödlseder Jürgen

- Status changed from New to Rejected

For the moment the cssens script only works for spectral models that have a Prefactor parameter, see #1889. The code needs to be modified if it

should also work for other spectral forms. I will reject this issue since it doubles #1889. I will look as soon as possible in an implementation of this

functionality.
Files

teste.xml 900 Bytes 10/29/2019 Kherlakian M.

energy_flux.txt 3.88 KB 10/29/2019 Kherlakian M.
